﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace maAccuMeterNet
{
    public class CVoltsItem
    {
        public DateTime Date { get { return m_time; } }
        public UInt16 V1a { get { return m_un16V1a; } }
        public UInt16 V1b { get { return m_un16V1b; } }
        public UInt16 V2a { get { return m_un16V2a; } }
        public UInt16 V2b { get { return m_un16V2b; } }
        public UInt16 I1 { get { return (UInt16)(V1a > V1b ? (V1a - V1b) : 0); } }
        public UInt16 I2 { get { return (UInt16)(V2a > V2b ? (V2a - V2b) : 0); } }

        UInt16 m_un16V1a;
        UInt16 m_un16V1b;
        UInt16 m_un16V2a;
        UInt16 m_un16V2b;
        DateTime m_time;

        public CVoltsItem(UInt16 un16V1a, UInt16 un16V1b, UInt16 un16V2a, UInt16 un16V2b)
        {
            m_un16V1a = un16V1a;
            m_un16V1b = un16V1b;
            m_un16V2a = un16V2a;
            m_un16V2b = un16V2b;
            
            m_time = DateTime.Now;
        }
    }
}
